diff paste/paste.13254 @ 748:ac59fa54605e

<fizzie> run cat bin/delquote | sed -e 's/echo "\*poof\*/printf "*poof*%s" "/;s/"$//' | paste
author HackBot
date Thu, 04 Oct 2012 21:25:13 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/paste/paste.13254	Thu Oct 04 21:25:13 2012 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+id=$1
+expr "$1" + 0 >/dev/null 2>&1 || exit 1
+head -n $((id-1)) quotes >quotes.new
+tail -n +$((id+1)) quotes >>quotes.new
+diff quotes quotes.new >/dev/null && exit 1
+printf "*poof*%s" "$(quote $id | cut -d')' -f2-)
+mv quotes.new quotes
+